[zeromq-dev] Debian packaging licensing (was Re: Debian?packaging fails (Debian/Lenny, Ubuntu 9.10))

Adrian von Bidder avbidder at fortytwo.ch
Fri Apr 16 11:32:10 CEST 2010


On Thursday 15 April 2010 18.03:00 Martin Lucina wrote:
> In other words, if someone installs 2.0.7~1.gSOMETHING and a real 2.0.7-1
> is pushed into the distribution, I'm guessing that the preferred
> behaviour is that an apt-get dist-upgrade upgrades to the latest
> distribution version.

Agree.  But you get the same behaviour either way:

stable:       2.0.6-1              2.0.6-1
snapshot:     2.0.6+gitwhatever-1  2.0.7~gitwhatever-1
intermediate: 2.0.6-2              2.0.6-2
next stable:  2.0.7-1              2.0.7-1

In both cases "next stable" is newer than the snapshot, while "intermediate" 
will not be installed because the version is older than snapshot.

It's a very minor point, admittedly.

-- vbi


-- 
Kallisti!
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 389 bytes
Desc: This is a digitally signed message part.
URL: <https://lists.zeromq.org/pipermail/zeromq-dev/attachments/20100416/0b4743cf/attachment.sig>


More information about the zeromq-dev mailing list